/*	$LAAS$ */
/*
 * Copyright (c) 2005 CNRS/LAAS
 *
 * Permission to use, copy, modify, and distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */
#ifndef _CONTEC_DIO_H
#define _CONTEC_DIO_H

/* Ioctl parameter */
typedef struct CONTEC_DIO_ARG {
	unsigned char addr;	/* register */
	unsigned char value;	/* value to read/write */
} DIO_ARG;

/* ioctls */
#define CONTEC_DIO_READ 0x5001
#define CONTEC_DIO_WRITE 0x5002

/* Register offsets */
#define CONTEC_DIO_INPUT_GROUP0		(0)
#define CONTEC_DIO_INPUT_GROUP1 	(1)
#define CONTEC_DIO_INPUT_GROUP2 	(2)
#define CONTEC_DIO_INPUT_GROUP3 	(3)
#define CONTEC_DIO_OUTPUT_GROUP0 	(4)
#define CONTEC_DIO_OUTPUT_GROUP1 	(5)
#define CONTEC_DIO_OUTPUT_GROUP2 	(6)
#define CONTEC_DIO_OUTPUT_GROUP3 	(7)

#define CONTEC_DIO_HANDSHAKE_STATUS 	(8)
#define CONTEC_DIO_BIT_DATA_INPUT 	(0xa)
#define CONTEC_DIO_BIT_SELECT 		(0xb)
#define CONTEC_DIO_GROUP_DATA_INPUT 	(0xc)
#define CONTEC_DIO_GROUP_SELECT 	(0xd)
#define CONTEC_DIO_INTERRUPT_SETTING 	(0xe)
#define CONTEC_DIO_DIGITAL_FILTER_SETTING (0xf)
#define CONTEC_DIO_INTERRUPT_MASK_REGISTER (0xf)
#define CONTEC_DIO_INTERRUPT_STATUS 	(0x11)

#endif
